Skip to main content
POST
/
api
/
v1
/
school
/
teacher-comment-templates
Create comment template
curl --request POST \
  --url https://api.example.com/api/v1/school/teacher-comment-templates/ \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "level": "A Level",
  "teacher": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "subject": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "is_general": true,
  "is_deleted": true
}
'
{}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Body

Auto-populate created_by from request.user when available.

level
enum<string> | null
required
  • A Level - A Level
  • O Level - O Level
Available options:
A Level,
O Level,
,
null
teacher
string<uuid>
required
subject
string<uuid> | null
required
is_general
boolean
is_deleted
boolean

Response

{key}
any